import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 14.08.2008
  * @author Daniel Garmann
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private JTextField jTextField1 = new JTextField();
  private JTextField jTextField2 = new JTextField();
  private JButton jButton1 = new JButton();
  // Ende Attribute

  public Gui(String title) {
    // Frame-Initialisierung
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 237;
    int frameHeight = 145;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    jTextField1.setBounds(128, 16, 89, 24);
    jTextField1.setText("5");
    cp.add(jTextField1);
    jTextField2.setBounds(128, 48, 89, 24);
    jTextField2.setText("");
    cp.add(jTextField2);
    jButton1.setBounds(16, 32, 99, 25);
    jButton1.setText("Rechne");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  
  private int fib(int n)
  {
    if (n <= 2)
      return 1;
    else
      return fib(n-1) + fib(n-2);
  }

  private int fibIt(int n)
  {
    if (n <= 2)
      return 1;
    else {
      int a = 1;
      int b = 1;
      int c = 0;
      for (int i = 3; i<= n; i++) {
        c = a+b;
        a = b;
        b = c;
      }
      return c;
    }
  }
  
  public void jButton1_ActionPerformed(ActionEvent evt) {
    jTextField2.setText(""+fibIt(Integer.parseInt(jTextField1.getText())));
  }

  // Ende Methoden

  public static void main(String[] args) {
    new Gui("Gui");
  }
}
